summaryrefslogtreecommitdiff
path: root/test/test-common.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/test-common.sh')
-rw-r--r--test/test-common.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/test/test-common.sh b/test/test-common.sh
index 3df7107..c525dd8 100644
--- a/test/test-common.sh
+++ b/test/test-common.sh
@@ -70,3 +70,9 @@ empty() (
set +x
[[ $(stat -c %s "$1") -eq 0 ]]
)
+
+# Just using '!' doesn't trip `set -e`
+not() (
+ set +x
+ ! eval "$@"
+)